Software - Support > Other

New to LL 5.4 - So Upgrading to LL 6.x Will Never Be Possible?

(1/1)

CP_ PDN:
Guys,

I am new to LL 5.4.
The Distro looks great. Thanks to the Team.

I am just wondering ... as and when LL 6.x comes out, we will not be able to upgrade to that version ?
Is this a possibility or this will never be worked on bcos its not part of LL philisophy, etc ?

I am planning to upgrade more of home machines.... They are currently opensuse xfce and i upgrade from one version to the next.
Mostly the upgrades are seamless ( no issue with data loss ) but sometimes you have to re-init your home folder for some apps etc.

Pls advice.

firenice03:
Right now, you are correct it is not possible to upgrade from one series to the next.
But the series are still supported  for some time, LL3.8 just went EOL... So if a series is working well you don't or not forced to upgrade.

As to the philosophy, and Jerry would phrase it best, but if it fits, works well and can be done with ease, then it likely could be considered in the future as to when?? Likely not as soon as 6...

CP_ PDN:
Hi ... replies below ...



--- Quote from: firenice03 on April 03, 2021, 06:02:55 PM ---Right now, you are correct it is not possible to upgrade from one series to the next
--- End quote ---

Noted. Thanks.



--- Quote --- But the series are still supported  for some time, LL3.8 just went EOL... So if a series is working well you don't or not forced to upgrade.
--- End quote ---

Nice... so it still gets new versions of Firefox, LibreOffice etc ? That is if 6.x come out, 5.x will still get  package updates ( not just security updates )


--- Quote --- As to the philosophy, and Jerry would phrase it best, but if it fits, works well and can be done with ease, then it likely could be considered in the future as to when?? Likely not as soon as 6...

--- End quote ---

Understood. So say that 6.x comes out and I want to move to that, I would have to reformat the entire disk  and lose all the partitions,  folders, subfolders ( data ) on it ? So if i have a 8TB disk ... I would need to have another 8TB disk for a backup ?

Thank you in advance.

firenice03:

@CP_ PDN


--- Quote from: CP_ PDN on April 04, 2021, 03:02:05 AM ---Hi ... replies below ...



--- Quote --- But the series are still supported  for some time, LL3.8 just went EOL... So if a series is working well you don't or not forced to upgrade.
--- End quote ---

Nice... so it still gets new versions of Firefox, LibreOffice etc ? That is if 6.x come out, 5.x will still get  package updates ( not just security updates )


--- End quote ---
Correct, the apps as they are made available thru the repo, just as the current series. Same with kernels.



--- Quote ---
--- Quote --- As to the philosophy, and Jerry would phrase it best, but if it fits, works well and can be done with ease, then it likely could be considered in the future as to when?? Likely not as soon as 6...

--- End quote ---

Understood. So say that 6.x comes out and I want to move to that, I would have to reformat the entire disk  and lose all the partitions,  folders, subfolders ( data ) on it ? So if i have a 8TB disk ... I would need to have another 8TB disk for a backup ?

Thank you in advance.

--- End quote ---


Depending on how you're partitions are set up, not necessarily.
Say you have root and a data partitions, only root would need formated.


Say a root, home, swap and data...
Only root would need to be formated, although my preference is to do home too, just due to configs from series to series.. but thats me... the others no..
Choose the Something Else when installing, verify you know your partitions prior, as to not accidentally select a partition you want to keep.




No problem.. Never hurts to post/ask a question.. Especially before hand rather than afterwards  ;D

CP_ PDN:
Thank you.
Closed.

Navigation

[0] Message Index

Go to full version